ServerLightValue (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.ServerLightValue class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared
Class ServerLightValue

    java.lang.Object
      org.hyperic.hq.appdef.shared.AppdefResourceValue
          org.hyperic.hq.appdef.shared.ServerLightValue

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable

    public class ServerLightValue

extends AppdefResourceValue
implements java.io.Serializable

Value object for Server.

See Also:
  Serialized Form

Constructor Summary
`ServerLightValue()`
`ServerLightValue(ServerLightValue otherValue)`
`ServerLightValue(java.lang.String sortName, boolean runtimeAutodiscovery, boolean wasAutodiscovered, boolean autodiscoveryZombie, java.lang.Integer configResponseId, java.lang.String modifiedBy, java.lang.String owner, java.lang.String location, java.lang.String name, java.lang.String autoinventoryIdentifier, java.lang.String installPath, java.lang.String description, boolean servicesAutomanaged, java.lang.Integer id, java.lang.Long mTime, java.lang.Long cTime)`

Method Summary
`boolean` | `autodiscoveryZombieHasBeenSet()`
`boolean` | `autoinventoryIdentifierHasBeenSet()`
`boolean` | `configResponseIdHasBeenSet()`
`boolean` | `cTimeHasBeenSet()`
`boolean` | `descriptionHasBeenSet()`
`boolean` | `equals(java.lang.Object other)`
`boolean` | `getAutodiscoveryZombie()`
`java.lang.String` | `getAutoinventoryIdentifier()`
`java.lang.Integer` | `getConfigResponseId()`
`java.lang.Long` | `getCTime()`
`java.lang.String` | `getDescription()`
`AppdefEntityID` | `getEntityId()` get an entity ID for the object
`java.lang.Integer` | `getId()`
`java.lang.String` | `getInstallPath()`
`java.lang.String` | `getLocation()`
`java.lang.String` | `getModifiedBy()`
`java.lang.Long` | `getMTime()`
`java.lang.String` | `getName()`
`java.lang.String` | `getOwner()`
`boolean` | `getRuntimeAutodiscovery()`
`ServerTypeValue` | `getServerType()`
`boolean` | `getServicesAutomanaged()`
`java.lang.String` | `getSortName()`
`boolean` | `getWasAutodiscovered()`
`int` | `hashCode()`
`protected boolean` | `hasIdentity()` A Value object have an identity if its attributes making its Primary Key has all been set.
`boolean` | `idHasBeenSet()`
`boolean` | `installPathHasBeenSet()`
`boolean` | `isIdentical(java.lang.Object other)`
`boolean` | `locationHasBeenSet()`
`boolean` | `modifiedByHasBeenSet()`
`boolean` | `mTimeHasBeenSet()`
`boolean` | `nameHasBeenSet()`
`boolean` | `ownerHasBeenSet()`
`boolean` | `runtimeAutodiscoveryHasBeenSet()`
`boolean` | `servicesAutomanagedHasBeenSet()`
`void` | `setAutodiscoveryZombie(boolean autodiscoveryZombie)`
`void` | `setAutoinventoryIdentifier(java.lang.String autoinventoryIdentifier)`
`void` | `setConfigResponseId(java.lang.Integer configResponseId)`
`void` | `setCTime(java.lang.Long cTime)`
`void` | `setDescription(java.lang.String description)`
`void` | `setId(java.lang.Integer id)`
`void` | `setInstallPath(java.lang.String installPath)`
`void` | `setLocation(java.lang.String location)`
`void` | `setModifiedBy(java.lang.String modifiedBy)`
`void` | `setMTime(java.lang.Long mTime)`
`void` | `setName(java.lang.String name)`
`void` | `setOwner(java.lang.String owner)`
`void` | `setRuntimeAutodiscovery(boolean runtimeAutodiscovery)`
`void` | `setServerType(ServerTypeValue ServerType)`
`void` | `setServicesAutomanaged(boolean servicesAutomanaged)`
`void` | `setSortName(java.lang.String sortName)`
`void` | `setWasAutodiscovered(boolean wasAutodiscovered)`
`boolean` | `sortNameHasBeenSet()`
`java.lang.String` | `toString()`
`boolean` | `wasAutodiscoveredHasBeenSet()`

Methods inherited from class org.hyperic.hq.appdef.shared.AppdefResourceValue
`compareTo, getAppdefResourceTypeValue, getHostName, getPlatformTypeCountMap, getResourceTypeCountMap, getServerTypeCountMap, getServiceTypeCountMap, setHostName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerLightValue

    public ServerLightValue()

### ServerLightValue

    public ServerLightValue(java.lang.String sortName,
                            boolean runtimeAutodiscovery,
                            boolean wasAutodiscovered,
                            boolean autodiscoveryZombie,
                            java.lang.Integer configResponseId,
                            java.lang.String modifiedBy,
                            java.lang.String owner,
                            java.lang.String location,
                            java.lang.String name,
                            java.lang.String autoinventoryIdentifier,
                            java.lang.String installPath,
                            java.lang.String description,
                            boolean servicesAutomanaged,
                            java.lang.Integer id,
                            java.lang.Long mTime,
                            java.lang.Long cTime)

### ServerLightValue

    public ServerLightValue(ServerLightValue otherValue)

Method Detail

### getSortName

    public java.lang.String getSortName()

### setSortName

    public void setSortName(java.lang.String sortName)

### sortNameHasBeenSet

    public boolean sortNameHasBeenSet()

### getRuntimeAutodiscovery

    public boolean getRuntimeAutodiscovery()

### setRuntimeAutodiscovery

    public void setRuntimeAutodiscovery(boolean runtimeAutodiscovery)

### runtimeAutodiscoveryHasBeenSet

    public boolean runtimeAutodiscoveryHasBeenSet()

### getWasAutodiscovered

    public boolean getWasAutodiscovered()

### setWasAutodiscovered

    public void setWasAutodiscovered(boolean wasAutodiscovered)

### wasAutodiscoveredHasBeenSet

    public boolean wasAutodiscoveredHasBeenSet()

### getAutodiscoveryZombie

    public boolean getAutodiscoveryZombie()

### setAutodiscoveryZombie

    public void setAutodiscoveryZombie(boolean autodiscoveryZombie)

### autodiscoveryZombieHasBeenSet

    public boolean autodiscoveryZombieHasBeenSet()

### getConfigResponseId

    public java.lang.Integer getConfigResponseId()

### setConfigResponseId

    public void setConfigResponseId(java.lang.Integer configResponseId)

### configResponseIdHasBeenSet

    public boolean configResponseIdHasBeenSet()

### getModifiedBy

    public java.lang.String getModifiedBy()

  Specified by:
    `getModifiedBy` in class `AppdefResourceValue`

### setModifiedBy

    public void setModifiedBy(java.lang.String modifiedBy)

  Specified by:
    `setModifiedBy` in class `AppdefResourceValue`

### modifiedByHasBeenSet

    public boolean modifiedByHasBeenSet()

### getOwner

    public java.lang.String getOwner()

  Specified by:
    `getOwner` in class `AppdefResourceValue`

### setOwner

    public void setOwner(java.lang.String owner)

  Specified by:
    `setOwner` in class `AppdefResourceValue`

### ownerHasBeenSet

    public boolean ownerHasBeenSet()

### getLocation

    public java.lang.String getLocation()

  Specified by:
    `getLocation` in class `AppdefResourceValue`

### setLocation

    public void setLocation(java.lang.String location)

  Specified by:
    `setLocation` in class `AppdefResourceValue`

### locationHasBeenSet

    public boolean locationHasBeenSet()

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `AppdefResourceValue`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in class `AppdefResourceValue`

### nameHasBeenSet

    public boolean nameHasBeenSet()

### getAutoinventoryIdentifier

    public java.lang.String getAutoinventoryIdentifier()

### setAutoinventoryIdentifier

    public void setAutoinventoryIdentifier(java.lang.String autoinventoryIdentifier)

### autoinventoryIdentifierHasBeenSet

    public boolean autoinventoryIdentifierHasBeenSet()

### getInstallPath

    public java.lang.String getInstallPath()

### setInstallPath

    public void setInstallPath(java.lang.String installPath)

### installPathHasBeenSet

    public boolean installPathHasBeenSet()

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in class `AppdefResourceValue`

### setDescription

    public void setDescription(java.lang.String description)

  Specified by:
    `setDescription` in class `AppdefResourceValue`

### descriptionHasBeenSet

    public boolean descriptionHasBeenSet()

### getServicesAutomanaged

    public boolean getServicesAutomanaged()

### setServicesAutomanaged

    public void setServicesAutomanaged(boolean servicesAutomanaged)

### servicesAutomanagedHasBeenSet

    public boolean servicesAutomanagedHasBeenSet()

### getId

    public java.lang.Integer getId()

  Specified by:
    `getId` in class `AppdefResourceValue`

### setId

    public void setId(java.lang.Integer id)

  Specified by:
    `setId` in class `AppdefResourceValue`

### idHasBeenSet

    public boolean idHasBeenSet()

### getMTime

    public java.lang.Long getMTime()

  Specified by:
    `getMTime` in class `AppdefResourceValue`

### setMTime

    public void setMTime(java.lang.Long mTime)

### mTimeHasBeenSet

    public boolean mTimeHasBeenSet()

### getCTime

    public java.lang.Long getCTime()

  Specified by:
    `getCTime` in class `AppdefResourceValue`

### setCTime

    public void setCTime(java.lang.Long cTime)

### cTimeHasBeenSet

    public boolean cTimeHasBeenSet()

### getServerType

    public ServerTypeValue getServerType()

### setServerType

    public void setServerType(ServerTypeValue ServerType)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hasIdentity

    protected boolean hasIdentity()

  A Value object have an identity if its attributes making its Primary Key has all been set. One object without identity is never equal to any other object.

  Returns:
    true if this instance have an identity.

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### isIdentical

    public boolean isIdentical(java.lang.Object other)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getEntityId

    public AppdefEntityID getEntityId()

  Description copied from class: `AppdefResourceValue`
  get an entity ID for the object

  Specified by:
    `getEntityId` in class `AppdefResourceValue`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.